clear all; clc; close all;
figure(1); hold on; axis equal
a =EllipseFunction2;xy = a.plot;

plot(xy(:,1),xy(:,2),'b-');

p1 = [.5 .5];
% p1 = [0.9971    0.1527];

plot(p1(:,1),p1(:,2),'r.')

grad = a.dF(p1);
p2 = p1-grad;

p = [p1;p2];
plot(p(:,1),p(:,2),'r')


p3 = p1  - fliplr(grad.*[-1 1])

p = [p1; p3];
plot(p(:,1),p(:,2),'g')

tic
aa = a.ClosestPoint(p1)
toc
p = [p1; aa];
plot(p(:,1),p(:,2),'g*')

tic
bb = a.RoughlyClosestPoint(p1)
toc
p = [p1; bb];
plot(p(:,1),p(:,2),'b*')


tic
cc = a.ClosestPoint2(p1)
toc
p = [p1; bb];
plot(p(:,1),p(:,2),'r^')

tic
dd = a.distance(p1)
toc
p = [p1; p1+dd];
plot(p(:,1),p(:,2),'g-')
