clear all;
close all;
fdFunc = EllipseFunction1;
fdFunc.Params = [.2 2];
[X] = fdFunc.plot;
figure(1)
hold on 
plot(X(:,1),X(:,2),'k')
axis equal
axis([1.9 2.1 -0.1 0.1])

i = 980;
p = X(i,:);
plot(p(1,1),p(1,2),'r*','MarkerSize',10,'LineWidth',3)

masterdof = 1;

deltaM = .1;

slaveupdate = fdFunc.FuncFelimActual(p,deltaM,masterdof);


ppplot = [p; p + [deltaM 0]; p + [ deltaM slaveupdate]];

k = [1 2];
plot(ppplot( k,1),ppplot( k,2),'b-.');

k = [2 3];
plot(ppplot( k,1),ppplot( k,2),'m-.');

k = [1 3];
plot(ppplot(k,1),ppplot(k,2),'r-');

% deltaM = .1/3;
% 
% slaveupdate = fdFunc.FuncFelimActual(p,deltaM,masterdof);
% 
% 
% ppplot = [p; p + [deltaM 0]; p + [ deltaM slaveupdate]];
% 
% k = [1 2];
% plot(ppplot( k,1),ppplot( k,2),'b-*');
% 
% k = [2 3];
% plot(ppplot( k,1),ppplot( k,2),'m-');
% 
% k = [1 3];
% plot(ppplot(k,1),ppplot(k,2),'r-*');
% 
% deltaM = .1;
% 
% slaveupdate = fdFunc.FuncFelimActual(p,deltaM,masterdof);
% 
% 
% ppplot = [p; p + [deltaM./3 0]; p + [ deltaM./3 slaveupdate./3]];
% 
% k = [1 3];
% plot(ppplot(k,1),ppplot(k,2),'g-*');

title({'Master-Slave Elimination complex root creation','Desired master update = 1'})
legend({'MPC boundary','MPC Boudary Node','Master DOF update','Slave DOF update','Total update','1/3 Master DOF update','1/3 Master slave DOF update','1/3 Master total update','1/3 Scaled total update'})




