clc; clear all; close all;

filenames = {'P_000980_Bars_6533_PerMPC_000_Hmax_0.2.mat'
    'P_000980_Bars_6533_PerMPC_020_Hmax_0.2.mat'
    'P_000980_Bars_6533_PerMPC_040_Hmax_0.2.mat'
    'P_000980_Bars_6533_PerMPC_060_Hmax_0.2.mat'
    'P_000980_Bars_6533_PerMPC_080_Hmax_0.2.mat'
    'P_000980_Bars_6533_PerMPC_100_Hmax_0.2.mat'
    'P_002363_Bars_15985_PerMPC_000_Hmax_0.15.mat'
    'P_002363_Bars_15985_PerMPC_020_Hmax_0.15.mat'
    'P_002363_Bars_15985_PerMPC_040_Hmax_0.15.mat'
    'P_002363_Bars_15985_PerMPC_060_Hmax_0.15.mat'
    'P_002363_Bars_15985_PerMPC_080_Hmax_0.15.mat'
    'P_002363_Bars_15985_PerMPC_100_Hmax_0.15.mat'
    'P_004110_Bars_28148_PerMPC_000_Hmax_0.125.mat'
    'P_004110_Bars_28148_PerMPC_020_Hmax_0.125.mat'
    'P_004110_Bars_28148_PerMPC_040_Hmax_0.125.mat'
    'P_004110_Bars_28148_PerMPC_060_Hmax_0.125.mat'
    'P_004110_Bars_28148_PerMPC_080_Hmax_0.125.mat'
    'P_004110_Bars_28148_PerMPC_100_Hmax_0.125.mat'
    'P_008054_Bars_55540_PerMPC_000_Hmax_0.1.mat'
    'P_008054_Bars_55540_PerMPC_020_Hmax_0.1.mat'
    'P_008054_Bars_55540_PerMPC_040_Hmax_0.1.mat'
    'P_008054_Bars_55540_PerMPC_060_Hmax_0.1.mat'
    'P_008054_Bars_55540_PerMPC_080_Hmax_0.1.mat'
    'P_008054_Bars_55540_PerMPC_100_Hmax_0.1.mat'
    'P_015835_Bars_109691_PerMPC_000_Hmax_0.08.mat'
    'P_015835_Bars_109691_PerMPC_020_Hmax_0.08.mat'
    'P_015835_Bars_109691_PerMPC_040_Hmax_0.08.mat'
    'P_015835_Bars_109691_PerMPC_060_Hmax_0.08.mat'
    'P_015835_Bars_109691_PerMPC_080_Hmax_0.08.mat'
    'P_015835_Bars_109691_PerMPC_100_Hmax_0.08.mat'
    'P_019172_Bars_132907_PerMPC_000_Hmax_0.075.mat'
    'P_019172_Bars_132907_PerMPC_020_Hmax_0.075.mat'
    'P_019172_Bars_132907_PerMPC_040_Hmax_0.075.mat'
    'P_019172_Bars_132907_PerMPC_060_Hmax_0.075.mat'
    'P_019172_Bars_132907_PerMPC_080_Hmax_0.075.mat'
    'P_019172_Bars_132907_PerMPC_100_Hmax_0.075.mat'
    'P_023616_Bars_163876_PerMPC_000_Hmax_0.07.mat'
    'P_023616_Bars_163876_PerMPC_020_Hmax_0.07.mat'
    'P_023616_Bars_163876_PerMPC_040_Hmax_0.07.mat'
    'P_023616_Bars_163876_PerMPC_060_Hmax_0.07.mat'
    'P_023616_Bars_163876_PerMPC_080_Hmax_0.07.mat'
    'P_023616_Bars_163876_PerMPC_100_Hmax_0.07.mat'
    'P_029499_Bars_204712_PerMPC_000_Hmax_0.065.mat'
    'P_029499_Bars_204712_PerMPC_020_Hmax_0.065.mat'
    'P_029499_Bars_204712_PerMPC_040_Hmax_0.065.mat'
    'P_029499_Bars_204712_PerMPC_060_Hmax_0.065.mat'
    'P_029499_Bars_204712_PerMPC_080_Hmax_0.065.mat'
    'P_029499_Bars_204712_PerMPC_100_Hmax_0.065.mat'
    'P_064902_Bars_452000_PerMPC_000_Hmax_0.05.mat'
    'P_064902_Bars_452000_PerMPC_020_Hmax_0.05.mat'
    'P_064902_Bars_452000_PerMPC_040_Hmax_0.05.mat'
    'P_064902_Bars_452000_PerMPC_060_Hmax_0.05.mat'
    'P_064902_Bars_452000_PerMPC_080_Hmax_0.05.mat'
    'P_064902_Bars_452000_PerMPC_100_Hmax_0.05.mat'};
         
Ratios = ',,';
fid = fopen( '2019-12-15 - Lag_vs_MS_Times.csv', 'w' );

% fprintf( fid, '%s\r\n', ['Np, % MPC, Nmpc, NDof, NoBars, TrussAsmTime(s), Hmax,' ...
%     'Lag SolveDOF Count, MSE SolveDOF Count,'...
%     'Lag NNZ, MSE NNZ,'...
%     'Lag MPC Times, MSE MPC Times,'...
%     'Lag Solve Times, MSE Solve Times,'...
%     'Lag MPC Resolve Times, MSE MPC Resolve Times']);

fprintf( fid, '%s\r\n', ['Np, % MPC, Nmpc, NDof, NoBars'...
                         'Lag MPC Times, MSE MPC Times,'...
                         'Lag MPC Resolve Times, MSE MPC Resolve Times,'...
                         'Lag Direct Solve Times, MSE Direct Solve Times,'...
                         'Lag Iterative Solve Times, MSE Iteravtive Solve Times,'...
                         'Lag Solver Iters, MSE Solver Iters']);

for filenum = 1:size(filenames,1)
    file = filenames{filenum};
    load(file);
    det = detailinf

    data(filenum,:) = [det.PCounter Percentage det.MpcCounter det.NDof...
                       det.MPCTimesLAG det.MPCTimesMSE ...
                       det.MPCResolveCounterLAG det.MPCResolveCounterMSE...
                       det.SystemSolveTimerDecompLAG det.SystemSolveTimerDecompMSE...
                       det.SystemSolveTimerIterLAG det.SystemSolveTimerIterMSE...
                       det.IterSolveItersLAG det.IterSolveItersMSE(1,2)];        
end
strout = '';
for i = 1:size(data,2)
    strout = [strout '%12.8f, '];
end
strout = [strout '\r\n'];
fprintf( fid, strout, data' );

         fclose(fid); clear fid