function [ln] = gradsimpplot3d(p,t,expr,mags)

  if size(t,2)==4
    tri1=surftri(p,t);
    if nargin>2 & ~isempty(expr)
      incl=find(eval(expr));
      t=t(any(ismember(t,incl),2),:);
      tri1=tri1(any(ismember(tri1,incl),2),:);
      tri2=surftri(p,t);
      tri2=setdiff(tri2,tri1,'rows');
      patch('vertices',p,'faces',tri2,'FaceColor','interp','FaceVertexCData',mags)
      hold on
    end
  else
    tri1=t;
    if nargin>2 & ~isempty(expr)
      incl=find(eval(expr));
      tri1=tri1(any(ismember(tri1,incl),2),:);
    end
  end
  ln = patch('vertices',p,'faces',tri1,'FaceColor','interp','FaceVertexCData',mags)
  hold off
  
  axis equal
  cameratoolbar
  axes1 = gca;
  set(axes1,'CameraPosition',...
    [-11.8982420147987 -11.8982420147987 16.8266552257257],'CameraUpVector',...
    [0 0 1],'CameraViewAngle',7.6380971321916,'DataAspectRatio',[1 1 1],...
    'PlotBoxAspectRatio',[1.11111111111111 1.22222222222222 1]);
end
