function h=hcircleout(p,h_max,h_min,varargin)
% h0 max edge length h
%   Copyright (C) 2004-2012 Per-Olof Persson. See COPYRIGHT.TXT for details.

% mesh refinement at points

%points
ps = [-0.1  0.5
      0.1 -0.5
      1 0
      -.5 -.5];




%refinement edge length
hs = [.02
      .05
      .02
      .02];

% weight factor (determines radius of effect
ws = 20*[1
      .5
      .5
      .5];


% for i = 1:size(p,1)
% % r(i,1) = norm(p(i,:)-[0.1 -.5]);
%     r(i,1) = 0;
%     for j = 1:size(ps,1)
%         r(i,1) = r(i,1) - exp(-ws(j,1)*norm(p(i,:)-ps(j,:))^2)*(h0-hs(j,1));
%     end
% end

% minimums depth

for i = 1:size(p,1)
% r(i,1) = norm(p(i,:)-[0.1 -.5]);
    r(i,1) = 0;
    for j = 1:size(ps,1)
        r(i,1) = min(r(i,1), - exp(-ws(j,1)*norm(p(i,:)-ps(j,:))^2)*(h_max-hs(j,1)));
    end
end


% h = 0.2 + r*0.1;
h= h_max + r;
lowh = find(h<h_min);

% set small hs to a minimum size
if size(lowh)>0
    h(lowh,1) = h_min;
end

highh = find(h_max);
% set small hs to a minimum size
if size(highh)>0
    h(highh,1) = h_max;
end
