clear all; close all, figure(10)
%note (1)lagrangian (2)Full deriv (3) partial cb2 version
% load([resultfiles{1} '.mat'])


%% Iteration counter
clear resultfiles
resultfiles = {'Result_1to_X_1_Y_1_Y_1hmax_0.2_UDC_1'
    'Result_1to_X_1_Y_1_Y_1hmax_0.2_UDC_5'
    'Result_1to_X_1_Y_1_Y_1hmax_0.2_UDC_20'};

resultfiles = {'Result_1to_X_1_Y_1_Y_1hmax_0.2_UDC_1000'};

Legends = {};
    remeshPoints = zeros(0,2);

for k = 1:size(resultfiles,1)
    
    load([resultfiles{k} '.mat'])
    start = 1;
    if k>1
        start = 2;
    end
    
    for i = start:2
        %     detailinf{1}.NormUpdates, detailinf{2}.NormUpdates, detailinf{3}.NormUpdates
        figure(10)
        hold on
        Iters = size(detailinf{i}.NormUpdates,1);
        UpdateNos = find(detailinf{i}.NormUpdates > 0);
        NoOfUpdates = size(UpdateNos,1);
        Errors = log10(detailinf{i}.NormUpdates(UpdateNos));
        plot(1:NoOfUpdates,Errors);
        remeshPoints = [remeshPoints; 1,  Errors(1)];
        
        %     for j = 1:size(UpdateNos,1)-1
        %         if UpdateNos(j) ~= UpdateNos(j+1)-1
        %             remeshPoints = [remeshPoints; j+1,  Errors(j+1)];
        %         else
        %             if detailinf{i}.RemeshedAtIter(UpdateNos(j+1)) > 0
        %                 remeshPoints = [remeshPoints; j+1,  Errors(j+1)];
        %             end
        %         end
        %     end
        tempremeshnos = find(detailinf{i}.RemeshedAtIter(UpdateNos)>0);
        remeshPoints = [remeshPoints;tempremeshnos ,  Errors(tempremeshnos)];
        temp = [Errors;zeros(50,1)];
        
        if exist('NormSet')
            colnum = colnum + 1;
        else
            colnum = 1;
        end
        
        ErrorSet(:,colnum) = temp(1:50,1);
        temp = [detailinf{i}.NormUpdates(UpdateNos);zeros(50,1)];
        NormSet(:,colnum) = temp(1:50,1);
        
        if i == 1
            Legends{size(Legends,2)+1} = 'Lagrangian'
        else
            Legends{size(Legends,2)+1} = ['Master-Slave Elim.'];
        end
    end
end

Legends{size(Legends,2)+1} = 'Remesh Points';

plot(remeshPoints(:,1),remeshPoints(:,2),'k.')
legend(Legends)
title({'Convergence of 3D mesher on unit sphere : With MPC implementaions','With initial mesh boudary snap'})
xlabel('Newton Iteration')
ylabel('Log(Norm(err))')
axis([0 15 -16 2])

