clear all; close all, figure(10)
%note (1)lagrangian (2)Full deriv (3) partial cb2 version

resultfiles = {'NoSnapResult_X_1_Y_1_Z_1hmax_0.15_UDC_1000.mat'
               'Result_X_1_Y_1_Z_1hmax_0.15_UDC_1000.mat'};
          
% resultfiles = {'NoSnapResult_X_0.5_Y_2_Z_2hmax_0.15_UDC_1000.mat'
%                 'Result_X_0.5_Y_2_Z_2hmax_0.15_UDC_1000.mat'};

% load([resultfiles{1} '.mat'])


%% Iteration counter

load([resultfiles{1}])
remeshPoints = zeros(0,2);
ErrorSet = zeros(50,2);
for i = 1:2
%     detailinf{1}.NormUpdates, detailinf{2}.NormUpdates, detailinf{3}.NormUpdates
    figure(10)
    hold on
    Iters = size(detailinf{i}.NormUpdates,1);
    UpdateNos = find(detailinf{i}.NormUpdates > 0);
    NoOfUpdates = size(UpdateNos,1);
    Errors = log10(detailinf{i}.NormUpdates(UpdateNos));
    plot(1:NoOfUpdates,Errors,'LineWidth',1.5);
    remeshPoints = [remeshPoints; 1,  Errors(1)];
    
    tempremeshnos = find(detailinf{i}.RemeshedAtIter(UpdateNos)>0);
    remeshPoints = [remeshPoints;tempremeshnos ,  Errors(tempremeshnos)];
    temp = [Errors;zeros(50,1)];
    ErrorSet(:,i) = temp(1:50,1);
    temp = [detailinf{i}.NormUpdates(UpdateNos);zeros(50,1)];
    NormSet(:,i) = temp(1:50,1);
end

% plot(remeshPoints(:,1),remeshPoints(:,2),'k.','HandleVisibility','off')

load([resultfiles{2}])
ErrorSet = zeros(50,2);
for i = 1:2
%     detailinf{1}.NormUpdates, detailinf{2}.NormUpdates, detailinf{3}.NormUpdates
    figure(10)
    hold on
    Iters = size(detailinf{i}.NormUpdates,1);
    UpdateNos = find(detailinf{i}.NormUpdates > 0);
    NoOfUpdates = size(UpdateNos,1);
    Errors = log10(detailinf{i}.NormUpdates(UpdateNos));
    plot(1:NoOfUpdates,Errors,'LineWidth',1.5);
    remeshPoints = [remeshPoints; 1,  Errors(1)];
    
    tempremeshnos = find(detailinf{i}.RemeshedAtIter(UpdateNos)>0);
    remeshPoints = [remeshPoints;tempremeshnos ,  Errors(tempremeshnos)];
    temp = [Errors;zeros(50,1)];
    ErrorSet(:,i) = temp(1:50,1);
    temp = [detailinf{i}.NormUpdates(UpdateNos);zeros(50,1)];
    NormSet(:,i) = temp(1:50,1);
end

plot(remeshPoints(:,1),remeshPoints(:,2),'k.','HandleVisibility','on')
legend('Lagrangian','Master-Slave Elim.','Lagrangian (with snap)','Master-Slave Elim. (with snap)','Remesh points','Location','southeast')
title({'Effect of boundary snap'})
xlabel('Newton Iteration')
ylabel('Log_1_0(||err||)')

