clear all; clc; close all;
format compact

syms p1 p2 uloc1 uloc2 r scale


%formaule for circle (as residual)
R = scale*((p1+uloc1)^2 + (p2+uloc2)^2 - r^2)^0.5

dRdu1 = simplify(diff(R,uloc1))
dRdu2 = simplify(diff(R,uloc2))


ddRdu1du1 = simplify(diff(dRdu1,uloc1))
ddRdu1du2 = simplify(diff(dRdu1,uloc2))

ddRdu2du1 = simplify(diff(dRdu2,uloc1))
ddRdu2du2 = simplify(diff(dRdu2,uloc2))





clear all; close all; clc
format compact

syms x y  x1 y1  r  a b c1 c2


%formaule for an ellipse (as residual)
R = ((x/a)^2 + (y/b)^2 - r^2)

dRdx = simplify(diff(R,x))
dRdy = simplify(diff(R,y))


ddRdxdx = simplify(diff(dRdx,x))
ddRdxdy = simplify(diff(dRdx,y))

ddRdydx = simplify(diff(dRdy,x))
ddRdydy = simplify(diff(dRdy,y))




disp('formulae for nearest point not dynamic')
%Formlua for nearest point
%Corss product of 2 vectors = 0
%this is not dynamic

dRdy = y*c1;
dRdx = x*c2;
fun = (x1 - x)*dRdy + (y1 - y)*(-dRdx)
f1 = solve(fun,x)

f2 = (c2*(f1)^2 + c1*(y)^2 - 1)

f3 = simplify(expand(f2*(c1*y - c2*y + c2*y1)^2))

% f4 = 
%  
% c1^3*y^4  + c1*c2^2*y^4 - 2*c1^2*c2*y^4
%  
% - 2*c1*c2^2*y1*y^3 + 2*c1^2*c2*y1*y^3
% 
% - c2^2*y^2 + 2*c1*c2*y^2 + c1*c2^2*y1^2*y^2 - c1^2*y^2 + c1^2*c2*x1^2*y^2 
% 
% + 2*c2^2*y1*y - 2*c1*c2*y1*y
% 
% - c2^2*y1^2
% 

%  f4 = 
% (c1^3  + c1*c2^2 - 2*c1^2*c2)*y^4
%  
% +(-2*c1*c2^2*y1 + 2*c1^2*c2*y1)*y^3
% 
% +(- c2^2 + 2*c1*c2 + c1*c2^2*y1^2 - c1^2 + c1^2*c2*x1^2)*y^2 
% 
% + (2*c2^2*y1 - 2*c1*c2*y1)*y
% 
% - c2^2*y1^2

CON4 = (c1^3  + c1*c2^2 - 2*c1^2*c2)
CON3 = (-2*c1*c2^2*y1 + 2*c1^2*c2*y1)
CON2 = (- c2^2 + 2*c1*c2 + c1*c2^2*y1^2 - c1^2 + c1^2*c2*x1^2)
CON1 = (2*c2^2*y1 - 2*c1*c2*y1)
CON0 = - c2^2*y1^2

% clear all; close all; clc
% format compact
% 
% syms CON0 CON1 CON2 CON3 CON4 y

f5 = CON0 + CON1*y + CON2*y^2 + CON3*y^3 + CON4*y^4
[s,z,c] = solve(f5,y,'ReturnConditions',true)
