%MESHDEMO2d Distmesh2d examples.
clear all;  close all; format short; format compact
% clc;
rand('state',1); % Always the same results this is important for evaluating the methods against each other.
set(gcf,'renderer','opengl');

fstats=@(p,t) fprintf('%d nodes, %d elements, min quality %.2f\n', ...
    size(p,1),size(t,1),min(simpqual(p,t)));

fprintf('Mesh on ellipse');
% echo on

%% Cb2 FIXED Points on surface

pfix = zeros(0,3);
pmpc = zeros(0,3);

tic
tol = 10^-6;

%% Function assignment

fdFunc = EllipseFunction3_3d;
fdFunc = EllipseFunction6_3d;



tic;
%% Element size distributions
h_max = 0.1;
h_min = 0.1;



%     h = @(p) hcircleout(p,h_max,h_min); % gauss
%     h = @(p) hradialgenerator(p,h_max,h_min); % gauss
h = @(p) huniform(p,h_max,h_min); h_min = h_max;% easiest to solve
% h = @(p) hdistorigin(p,h_max,h_min); h_min = h_max;% distance from origin


a.p = @hradialgenerator2linearMeshGrowth_3d;
% a.p = @hradialgenerator2linear_3d;
% h = @(p) a.p(p,h_max,h_min); %linear  Best    variable version

%% Mesh run

% [p,t,its]=CB_distmesh2d_mpc(fdFunc,h,h_max,h_min,bounds,pfix,pmpc,tol,1);
A = rand(3,3);
b = rand(3,1);
x = A\b;


Hmaxs = [0.2 0.125 0.08 0.07]';
a = [];
Vals = []
Hmaxs = 0.125;
for i = 1:size(Hmaxs,1)
    %     filecounter = Counters(i,1);
    h_max = Hmaxs(i,1);
    %     h = @(p) hcircleout(p,h_max,h_min); % gauss
    %     h = @(p) hradialgenerator(p,h_max,h_min); % gauss
    h = @(p) huniform(p,h_max,h_min); h_min = h_max;% easiest to solve
    
    %     a.p = @hradialgenerator2linearMeshGrowth_3d;
    % a.p = @hradialgenerator2linear_3d;
    % h = @(p) a.p(p,h_max,h_min); %linear  Best variable version
    
    %% Mesh run
    
    % [p,t,its]=CB_distmesh2d_mpc(fdFunc,h,h_max,h_min,bounds,pfix,pmpc,tol,1);
    A = rand(3,3);
    b = rand(3,1);
    x = A\b;
    
    
    
    h = @(p) huniform(p,h_max,h_min);h_min = h_max;
    
    %     HWactual = HWactual(5:end,:);
    %     HW = HW(6:6,:);
    updateControl = 1000;
    
    HW = [1 1 1
          1 2 2
          1 4 4
          1 8 8
          1 16 16];
      
      HW = [1 8 8];
    %        1 20
    %        1 40
    %        1 60
    %        1 80];
    
    RatVol = HW(:,1).*HW(:,2).*HW(:,3);
    HWactual = HW./[RatVol RatVol RatVol].^(1/3);
    
    
    % percents = 20
    for Hws = HWactual'
        
        fdFunc.Params = Hws;
        pfix = fdFunc.pfix(h_max);
        bounds = fdFunc.pbounds;
        for MPCType = 1:2
            rand('state',1) %Reset rand state so each one has same start point
            strttime = tic;
            [p,t,its]=CB_distmesh3d_mpc(fdFunc,h,h_max,h_min,bounds,pfix,pmpc,tol,MPCType);
            
            time = toc(strttime);
            qual = simpqual(p,t,1);
            qual = min(qual);
%             Vals(MPCType,:) = [MPCType, its, time, qual, time/its];
            Vals = [Vals;[MPCType, its, time, qual, time/its]];
            a = [a; size(p,1)];
        end
    end
end
a