function h=hradialgenerator2linearMeshGrowth_3d(p,h_max,h_min,varargin)

%   Copyright (C) 2004-2012 Per-Olof Persson. See COPYRIGHT.TXT for details.

% mesh refinement at points

%points
ps = [-0.1  0.5 0
       0.1 -0.5 0
       1    0   1
      -0.5 -0.5 0];

% max edge length
% % h0 = 0.1;

%refinement edge length
hs = [0.05
      0.1
      0.05
      0.05];
  
  growthrate = [0.3
                0.3
                0.3
                0.3];
   
RfinePoints = find(hs < h_max);


hs  = hs(RfinePoints,:);
ps  = ps(RfinePoints,:);

m = growthrate;   

% a = 20./(rad*(2*pi())^0.5);

%% Radius generated 

for i = 1:size(p,1)
% r(i,1) = norm(p(i,:)-[0.1 -.5]);
    r(i,1) = h_max;
    for j = 1:size(ps,1)
        r(i,1) = min(r(i,1),m(j,1)*norm(p(i,:)-ps(j,:))+ hs(j,1));
    end
end

%%
h = r;
lowh = find(h<h_min);

% % set small hs to a minimum size
if size(lowh)>0
    h(lowh,1) = h_min;
end

highh = find(h > h_max);
% set big hs to a maximum size
if size(highh)>0
    h(highh,1) = h_max;
end
